/* 
 * linux/include/asm-arm/arch-omap2/cpu.h
 * 
 * OMAP2 cpu type detection
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 *
 * Copyright (C) 2004 Nokia Corporation
 * Written by Tony Lindgren <tony.lindgren@nokia.com>
 *
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARCH_OMAP2_CPU_H
#define __ASM_ARCH_OMAP2_CPU_H

/* Squash any OMAP1 defines which may be lurking */
#define cpu_is_omap16xx()		0
#define cpu_is_omap7xx()		0
#define cpu_is_omap15xx()		0
#define cpu_is_omap730()		0
#define cpu_is_omap1510()		0
#define cpu_is_omap1610()		0
#define cpu_is_omap5912()		0
#define cpu_is_omap1710()		0

# if defined(CONFIG_ARCH_OMAP24XX)
#  define cpu_is_omap2420()		1
# else
#  define cpu_is_omap2420()		0
# endif

#endif				/* __ASM_ARCH_OMAP2_CPU_H */
