/**
*  @file   dcl_constant.h
*  @brief  file description
*
*  Copyright
*       2005 Accton Technology Corporation
*
*  @author William Chiang (william_chiang@accton.com.tw)
*
*  References:
*    if needed ( code referenced, data book, ...)
*
*  History:
*    12/02/2005 William Init
*    mm/dd/yyyy author modified code descriptions
* 
**/

#ifndef _DCL_CONSTANT_H_
#define _DCL_CONSTANT_H_

/*** Constant definition section
 ***      define the constants used for all DCL modules
 ***/
/* error code definition */
#define  DCL_OK                  0x00000000
#define  DCL_ERR                 0x80000001
#define  DCL_ERR_SYS             0x80000000
#define  DCL_ERR_WLAN            0x80100000
#define  DCL_ERR_APM             0x80200000
#define  DCL_ERR_AUDIO           0x80300000
#define  DCL_ERR_LCM             0x80400000
#define  DCL_ERR_VIBRATOR        0x80500000
#define  DCL_ERR_BATTERY         0x80600000
#define  DCL_ERR_MFG             0x80700000

#define  IN   
#define  OUT



/*** Structure section
 ***      define the structures used for all DCL modules
 ***/

// don't put variable instance here

/*** Export functions section
 ***      define the export functions access most of DCL modules
 ***/


#endif  /* end of _DCL_CONSTANT_H_ */

