
/*
 * linux/drivers/input/keyboard/omap-keypad.h
 *
 * Copyright (C) 2004 Texas Instruments Inc
 * Author: TI
 *
 * Keypad header file
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */
#ifndef _KEYPAD_H
#define KEYBOARD_BASE_ADDR    0xFFFBE000
#define CTL                   0x00
#define INT_EN                0x0C
#define FC15_0                0xFFFBE014
#define HW_DECODE             0x0003
#define KBD_IF_IT             0x0001
#define KBD_IF_IT_CLR         0x0000
//#define NEW_BOARD_LEARNING_MODE
#undef NEW_BOARD_LEARNING_MODE
static void omap_kp_tasklet(unsigned long);
static void omap_kp_timer(unsigned long);
static struct input_dev omap_kp_dev;
static unsigned char keypad_state[8];
static struct timer_list kp_timer;
DECLARE_TASKLET_DISABLED(kp_tasklet, omap_kp_tasklet, 0);
#define KEY(col, row, val) (((col) << 28) | ((row) << 24) | (val))
#endif
