/*
 * include/asm-arm/arch-omap2/omap24xx_timer32k.h
 *
 * Copyright (C) 2004 Texas Instruments Inc
 * Author:
 *
 * 32KHz synchronous Timer interface for the TI OMAP 24xx
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */
#ifndef __OMAP_TIMER32K_H
#define __OMAP_TIMER32K_H

#include <linux/types.h>
#include <asm/arch/io.h>
#include <asm/arch/hardware.h>

#define OMAP_VA_TIMER32K_BASE	OMAP_TIMER32K_BASE

#define OMAP_TIMER32K_REV	(OMAP_VA_TIMER32K_BASE + 0x00)

#define OMAP_TIMER32K_CR	(OMAP_VA_TIMER32K_BASE + 0x10)

#define TIMER32K_COUNTER_READ	(omap_readl(OMAP_TIMER32K_CR))

extern void omap_wait_for_32kclock_edge(void);

#endif

