/* 
 * linux/include/asm-arm/arch-omap2/system.h
 * 
 * Defines for the OMAP2 System
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 *
 * Copied from linux/include/asm-arm/arch-sa1100/system.h
 *   Copyright (c) 1999 Nicolas Pitre <nico@cam.org>
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_SYSTEM_H
#define __ASM_ARM_ARCH_OMAP2_SYSTEM_H

#include <asm/arch/platform.h>

static inline void arch_idle(void)
{
	cpu_do_idle();		/* call wait for interrupt */
}

static inline void arch_reset(char mode)
{
	__raw_writel(0x3, IO_ADDRESS(PM_RSTCTRL_WKUP));
}

#endif				/* __ASM_ARM_ARCH_OMAP2_SYSTEM_H */
