/* 
 * linux/include/asm-arm/arch-omap2/timer32k.h
 * 
 * Defines for the 32K Timer
 *
 * Copyright (C) 2004 Texas Instruments, Inc. 
 * 
 * This package is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation. 
 * 
 * THIS PACKAGE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR 
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED 
 * WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE. 
 */

#ifndef __ASM_ARM_ARCH_OMAP2_TIMER32K_H
#define __ASM_ARM_ARCH_OMAP2_TIMER32K_H

#include <linux/types.h>
extern u32 timer32k_counter_read(void);
extern void wait_for_32kclock_edge(void);

#endif				/* __ASM_ARM_ARCH_OMAP2_TIMER32K_H */
